package Msn::Client;

# $Id: Client.pm 19 2004-03-13 05:51:01Z tea $

use strict;
use warnings;
use Carp;

use base qw/Msn::Command/;
use Msn::Util::UserHash;

sub new {
    my ($class, $username, $password) = @_;
    my $self = $class->SUPER::new();
    
    $self->{contact_list} = Msn::Util::UserHash->new();
    $self->{notification} = undef;
    $self->{username} = $username;
    $self->{password} = $password;
    
    return $self;
}


# TODO - think about use Class:: modules
# There are a lot getter/setter method, you can generate method.

sub getUsername {
    my ($self) = @_;
    return $self->{username};
}
sub setUsername {
    my ($self, $username) = @_;
    $self->{username} = $username;
}
sub getPassword {
    my ($self) = @_;
    return $self->{password};
}
sub setPassword {
    my ($self, $password) = @_;
    $self->{password} = $password;
}
sub getNickname {
    my ($self) = @_;
    return $self->{nickname};
}
sub setNickname {
    my ($self, $nickname) = @_;
    $self->{nickname} = $nickname;
}
sub setNotification {
    my ($self, $connection) = @_;
    $self->{notification} = $connection;
}
sub getNotification {
    my ($self) = @_;
    return $self->{notification};
}


1;
