package test::Msn::Message::P2P;

use strict;
use warnings;
use base qw/Test::Unit::TestCase/;

use Msn::Message::P2P;

sub set_up {
    my ($self) = @_;
    
    $self->{msg} = Msn::Message::P2P->new();
}

sub tear_down {
    my ($self) = @_;

    undef $self->{msg};
}


sub test_helloP2P {
    my ($self) = @_;

    $self->assert($self->{msg});
}

sub test_phpack {
    my ($self) = @_;
    my $packet = $self->{msg}->makePacket();

    print "$packet\n";
}

1;
