package Msn::Util;

# $Id: Util.pm 17 2004-03-12 19:20:34Z tea $

use strict;
use warnings;
use Carp;

use base qw/Exporter/;
use URI::Escape;

our @EXPORT = qw/split_param join_param/;



sub split_param($) {
    my ($param) = @_;
    return map{split/=/} split(/,/, $param);
}

sub join_param($) {
    my ($param) = @_;
    return join(',', map{join('=', $_, uri_escape($param->{$_}))} keys %$param);
}

1;

