Index: msn_bot.pl
===================================================================
--- msn_bot.pl	(revision 121)
+++ msn_bot.pl	(revision 122)
@@ -16,8 +16,13 @@
 
 my $username = shift(@ARGV);
 my $password = shift(@ARGV);
+my $msn = Msn::Bot->new($username, $password);
 
-Msn::Bot->new($username, $password)->setMessageHandlers({
+# FIXME adhoc veriable
+$msn->{dump_mode} = 0;
+$msn->{translate_mode} = 0;
+
+$msn->setMessageHandlers({
     Status  => \&status_handler,
     Message => \&message_handler,
     Join    => \&join_handler,
@@ -31,7 +36,6 @@
     print "status: @_\n";
 }
 
-
 sub message_handler {
   my ($self, $username, $nickname, $message) = @_;
 
@@ -46,14 +50,19 @@
   }
   
   # Dump mode
-  if (0) {
+  if ($message =~ m/DUMP\((.*)\)/ig) {
+    $self->{dump_mode} = $1;
+    $self->sendMessage("Dump mode: $self->{dump_mode}");
+    return;
+  }
+  if ($self->{dump_mode} eq 'on') {
     $message = join(' ', map { sprintf("%X", $_) } unpack("C*", $message)); 
     $self->sendMessage(qq/$nickname said "$message"/);
     return;
   }
 
   # Translate mode
-  if (1) {
+  if ($self->{translate_mode}) {
     if ($message =~ /[\d\w\s\r\n]+/) {
       $self->sendMessage(Msn::Bot::Translate::E2J($message));
     }
@@ -98,7 +107,7 @@
 
 sub join_handler {
     my ($self, $username) = @_;
-
+    
     print "join: @_\n";
 }
 
